![Neatline Logo](http://neatline.org/images/neatline-logo-rgb.png)

# Neatline

**Neatline is a lightweight, extensible framework for creating interactive editions of visual materials - maps, paintings, photographs, and anything else that can be captured as an image.**

Built as a plugin for [Omeka](http://omeka.org/), a collection-management framework developed by the [Roy Rosenzweig Center for History and New Media](http://chnm.gmu.edu/), Neatline adds a digital map-making environment that makes it easy to represent geospatial information as a collection of "records" plotted on a map, which can be bound together into interactive exhibits that tell stories and make arguments.

Designed for scholars, archivists, journalists, and students, Neatline provides a flexible set of tools that can be adapted to fit the needs of a wide range of digital mapping projects. In addition to the core content management system, Neatline exposes a flexible programming API and "sub-plugin" system makes it easy for developers to add custom functionality for specific projects - everything from simple UI widgets up to really elaborate modifications that extend the core data model and add completely new interactions.

  - For general information and demos, head over to **[neatline.org](http://neatline.org/)**.

  - Read the docs at **[docs.neatline.org](http://docs.neatline.org/)**.

  - If you found a bug or thought of a new feature, file a ticket on the **[issue tracker](https://github.com/scholarslab/Neatline/issues)**.
