## End Date

The "last" or "finishing" date for an event.

**If you're working with NeatlineSimile**: If you enter a "Start Date" _and_ an "End Date" date, the record will be displayed as a span (line) on the timeline.

If you enter the same date for the "Start Date" and "End Date," the span will have width = 0 and will, therefore, be invisible on the timeline.

### Examples

Dates need to follow the [ISO 8601][iso8601]standard:

**CE Dates**

  - `1564` - The year 1564.
  - `1564-04` - April, 1564.
  - `1564-04-23` - April 23, 1564.
  - `1564-04-23T08:30` - 8:30 AM on April 23, 1564.
  - `1564-04-23T08:30:15` - 15 seconds after 8:30 AM on April 23, 1564.
  
**BCE Dates**

  - `-001563` - The year 1564 BCE.
  - `-000563` - The year 564 BCE.
  - `-000063` - The year 64 BCE.
  - `-000003` - The year 4 BCE.	
  - `-001563-04` - April, 1564 BCE.
  - `-001563-04-23` - April 23, 1564 BCE.

[iso8601]: https://en.wikipedia.org/wiki/ISO_8601
