<?php

/**
 * @package     omeka
 * @subpackage  neatline
 * @copyright   2014 Rector and Board of Visitors, University of Virginia
 * @license     http://www.apache.org/licenses/LICENSE-2.0.html
 */

class FixturesTest_NeatlineMapIngestVectorLayers extends Neatline_Case_Fixture
{


    public function testRecords()
    {

        $record1 = $this->_record($this->exhibit);
        $record2 = $this->_record($this->exhibit);
        $record3 = $this->_record($this->exhibit);
        $record4 = $this->_record($this->exhibit);
        $record5 = $this->_record($this->exhibit);
        $record6 = $this->_record($this->exhibit);

        $record1->title     = 'title1';
        $record2->title     = 'title2';
        $record3->title     = 'title3';
        $record4->title     = 'title4';
        $record5->title     = 'title5';
        $record6->title     = 'title6';
        $record1->coverage  = 'POINT(0 1)';
        $record2->coverage  = 'POINT(0 2)';
        $record3->coverage  = 'POINT(0 3)';
        $record4->coverage  = 'POINT(0 4)';
        $record5->coverage  = 'POINT(0 5)';
        $record6->coverage  = 'POINT(0 6)';

        $record1->save();
        $record2->save();
        $record3->save();
        $record4->save();
        $record5->save();
        $record6->save();

        // Match records 1-4.
        // --------------------------------------------------------------------

        $this->request->setQuery(array(
            'extent' => 'LINESTRING(0 1,0 4)'
        ));

        $this->_writeRecordsApiFixture($this->exhibit,
            'NeatlineMapIngestVectorLayers.1234.json'
        );

        // Match records 3-6.
        // --------------------------------------------------------------------

        $this->request->setQuery(array(
            'extent' => 'LINESTRING(0 3,0 6)'
        ));

        $this->_writeRecordsApiFixture($this->exhibit,
            'NeatlineMapIngestVectorLayers.3456.json'
        );

    }


}
